JBoss API: Class JDBCInitCommand

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.jdbc
Class JDBCInitCommand

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
            |
            +--org.jboss.ejb.plugins.jaws.jdbc.JDBCUpdateCommand
                  |
                  +--org.jboss.ejb.plugins.jaws.jdbc.JDBCInitCommand

All Implemented Interfaces:
  JPMInitCommand

public class JDBCInitCommand
extends JDBCUpdateCommand
implements JPMInitCommand

JAWSPersistenceManager JDBCInitCommand

Version:
  $Revision: 1.12.6.6 $

  Revisions:

  20010621 danch:

  - fixed bug where mapping a PK field to a different column name resulted in an improper PK constraint.

  20020225 danch:

  - 'Can't create table' log should be at error level, not debug! This can result from a problem with the bean itself, and should be made hard to ignore in order to avoid mistery problems.
Author:
  Rickard Öberg, Marc Fleury, Joe Shevland, Justin Forder, Michel de Groot, danch (Dan Christopherson
See Also:

Fields inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`debug, factory, jawsEntity, log, name`

Constructor Summary
`JDBCInitCommand(JDBCCommandFactory factory)`

Method Summary
`void` | `execute()`
`protected java.lang.Object` | `handleResult(int rowsAffected, java.lang.Object argOrArgs)` Handle the result of successful execution of the update.

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCUpdateCommand
`executeStatementAndHandleResult`

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`getCMPFieldValue, getConnection, getJawsCMPFieldJDBCType, getJDBCType, getJDBCTypeName, getPkColumnList, getPkColumnWhereList, getPkFieldValue, getResultObject, getResultObject, getSQL, getState, isBinaryType, jdbcExecute, setCMPFieldValue, setParameter, setParameters, setPrimaryKeyParameters, setSQL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCInitCommand

    public JDBCInitCommand(JDBCCommandFactory factory)

Method Detail

### execute

    public void execute()
                 throws java.lang.Exception

  Specified by:
    `execute` in interface `JPMInitCommand`

### handleResult

    protected java.lang.Object handleResult(int rowsAffected,
                                            java.lang.Object argOrArgs)
                                     throws java.lang.Exception

  Description copied from class: `JDBCUpdateCommand`
  Handle the result of successful execution of the update.
  Overrides:
    `handleResult` in class `JDBCUpdateCommand`
  Following copied from class: `org.jboss.ejb.plugins.jaws.jdbc.JDBCUpdateCommand`
  Parameters:
    `rs` - the result set from the query.
    `argOrArgs` - argument or array of arguments passed in from subclass execute method.
  Returns:
    any result needed by the subclass `execute`.
  Throws:
    `java.lang.Exception` - if result handling fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.